-----------------------------------------------------------------------
-- Locale
-----------------------------------------------------------------------
local L = AceLibrary("AceLocale-2.2"):new("Violation: GroupTotalDamage")

L:RegisterTranslations("enUS", function() return {
	["Group damage done"] = true,
} end)

L:RegisterTranslations("koKR", function() return {
	["Group damage done"] = "파티 공격력 확인",
} end)

-----------------------------------------------------------------------
-- Locals
-----------------------------------------------------------------------

local tablet = AceLibrary("Tablet-2.0")

local event = {
	eventType = "Damage",
	sourceID_ne = false,
}

local plugsInto = "PlayerTotalDamage"
local available = false
local dirty = false

-----------------------------------------------------------------------
-- Module declaration
-----------------------------------------------------------------------

local mod = Violation:NewModule("GroupTotalDamage", "Parser-3.0")
mod.revision = tonumber(("$Revision: 29313 $"):sub(12, -3)) or 1
mod.version = 3

-----------------------------------------------------------------------
-- Module initialization
-----------------------------------------------------------------------

function mod:OnModuleRegister()
end

function mod:OnModuleEnable()
	self:RegisterParserEvent(event, "OnParserEvent")
	self:RegisterEvent("Violation_ModuleEnabled")
	self:RegisterEvent("Violation_ModuleDisabled")
	
	if self.core:IsModuleActive(plugsInto) then
		available = true
	else
		available = false
	end
end

function mod:OnReset()

end

-----------------------------------------------------------------------
-- Module implementation
-----------------------------------------------------------------------

function mod:GetRevision() return self.revision end
function mod:GetDisplayName() return L["Group damage done"] end
function mod:GetShortDisplayName() return end
function mod:GetDisplayText() end
function mod:GetBroadcastData() dirty = false return nil end
function mod:OnRemoteData() end
function mod:IsDirty() return dirty end
function mod:GetData() end

function mod:Violation_ModuleEnabled(name)
	if name == plugsInto then
		available = true
	end
end

function mod:Violation_ModuleDisabled(name)
	if name == plugsInto then
		available = false
	end
end

function mod:OnParserEvent(event)
	if available and event.sourceID ~= "player" and event.amount and event.sourceName and not self.core:UserViolation(event.sourceName, plugsInto) then
		self.core:GetModule(plugsInto):OnRemoteData(event.sourceName,event.amount)
		dirty = true
	end
end

